


#ifndef __UPDARA_HZK_H__
#define __UPDARA_HZK_H__

#ifdef __cplusplus
extern "C"
{
#endif


#include <stdint.h>
#include <string.h>
#include <stdbool.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>

#define  u8  uint8_t
#define  s8  int8_t
#define  u16  uint16_t
#define  s16  int16_t
#define  u32  uint32_t
#define  s32  int32_t

#define  HZK_ADDR    0x00100000//4*1024*1024

#define  Left_img   "\uF138"

#define  Right_img  "\uF139"

extern uint8_t *g_font_buf;
extern uint8_t *g_font40_buf;
extern bool Hzkexist;
extern uint8_t  updatabuffer[1025];

void spi_flahread(uint32_t addr,uint8_t *buf,size_t size);
int read_hzkfrom_file(uint8_t cmd);
void read_hzkfrom_flash(void);
int g_hzk22_readtoram(void);
void init_displayfile(void);
int copy_imgfilefrom_sys(char *dirpath,char *srcpath);


#ifdef __cplusplus
}
#endif

#endif
